Subject: RE: [Sip] Comment on sip-identity-00

From: "Mark Watson"<[email-masked]>
Date: Mon, 13 May 2002 12:48:49 +0100

Before we get too confused, 'Network Asserted Identity' - which we have been
discussing for some time and for which draft-ietf-sipping-nai-reqs-00
presents requirements, is a different and in principle unrelated topic from
Network Access Identifier in the AAA sense, despite sharing the same
acronym.

There may of course be local policies of Authentication Services which
relate these two, but this is of no importance to us here, which I think is
Juha's point below.

To avoid such confusion, it he been suggested that we do not use
Network-Asserted-Identity: as the header name. 'Asserted-Identity:' is
currently top of the poll. If you don't like this header name, 'speak now or
forever hold your peace'.

...Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 11 May 2002 06:49
> To: Robert Sparks
> Cc: [email-masked]; Jon Peterson
> Subject: [Sip] Comment on sip-identity-00
> 
> 
> there seems to be lots of confusion about what "authenticated 
> identity"
> of a sip user is.  in our network it is simply the Network Access
> Identity (NAI) of the user, e.g., [email-masked].  that same NAI is used
> for all services the user has subscribed to, e.g., email, 
> remote access,
> and sip, and thus is not sip specific.
> 
> the NAI does necessarily have NOTHING to do with the sip uri that the
> user registers and want to be known by.  for example, the 
> user with NAI
> [email-masked] may want to register a sip uri 
> sip:[email-masked] or
> several sip uris of that or other sort.  the user specifically may NOT
> want to register as sip:[email-masked].
> 
> my conclusion of all this is that the authentication server 
> must verify
> both the NAI of the user and the sip uri of the user that the user has
> placed in the from header or, in case of an anonymous call, in some
> other header of the message.  it seems to me that for the 
> other parties
> to which the message is forwarded to, it is enough that the
> authenticated sip uri is included in the message.
> 
> regarding the i-d on the subject line, the distinction between the NAI
> and sip uris of the user should be clarified before we can go on.
> 
> -- juha
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
>

---

From: Juha Heinanen <[email-masked]>
Date: Mon, 13 May 2002 15:41:57 +0300

mark,

the point of my message was not the same of the header field, but what
you mean by network asserted indetify and how it relates to the any
number of sip uris that the user may have.

-- juha

---

From: "Dean Willis" <[email-masked]>
Date: Tue, 14 May 2002 00:40:36 -0500

> number of sip uris that the user may have.

Ahah!. I think Juha is hinting that he wants to talk about hinting --
that is, how the UA tells the "anonymization service" WHICH of the many
possible Asserted-Identities it should be asserting, and perhaps about
how the anonymization service decides whether the UA authentically
represents a user authorized to claim that specific identity.

--
Dean